using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace pocTchart
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      graph.Chart.Aspect.View3D = false;
      graph.Axes.Bottom.Maximum = 100;
    }

    private void button1_Click(object sender, EventArgs e)
    {
      listBox1.Items.Clear();
      graph.Series.Clear();

      for (int j = 0; j < 300; j++)
      {
        FastLine f = new FastLine();
        f.Color = Color.Silver;

        Random r = new Random();

        for (int i = 0; i < 1000; i++)
        {
          f.Add(i * r.NextDouble(), i);
        }

        listBox1.Items.Add(j);
        graph.Series.Add(f);
      }
    }

    private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
      this.graph.Chart.Series[listBox1.SelectedIndex].Color = Color.Red;      
    }
  }
}